MySQL 4.0.18 server problem on FreeBSD 5.2-Current

Ganbold ganbold at micom.mng.net
Tue Mar 23 04:22:54 PST 2004


Hi,

Today I wanted to upgrade mysql-4.0.17 to mysql-4.0.18 in FreeBSD-5.2-CURRENT.
I used following options to compile from ports collection:

make WITH_CHARSET=cp1251 WITH_LINUXTHREADS=yes BUILD_STATIC=yes install

However when I tried to run mysql server log says:
------------------------------------------------
...
040323 19:52:50  mysqld restarted
040323 19:52:50  InnoDB: Started
/usr/local/libexec/mysqld: ready for connections.
Version: '4.0.18-log'  socket: '/tmp/mysql.sock'  port: 3306
mysqld got signal 11;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help diagnose
the problem, but since we have already crashed, something is definitely wrong
and this may fail.

key_buffer_size=402653184
read_buffer_size=2093056
max_used_connections=0
max_connections=1000
threads_connected=0
It is possible that mysqld could use up to
key_buffer_size + (read_buffer_size + sort_buffer_size)*max_connections = 
290904 K
bytes of memory
Hope that's ok; if not, decrease some variables in the equation.


Number of processes running now: 0
040323 19:52:54  mysqld restarted
040323 19:52:55  InnoDB: Started
/usr/local/libexec/mysqld: ready for connections.
Version: '4.0.18-log'  socket: '/tmp/mysql.sock'  port: 3306
mysqld got signal 11;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help diagnose
the problem, but since we have already crashed, something is definitely wrong
and this may fail.
...
---------------------------------------------------------------
I tried with linuxthreads-2.2.3_15 and linuxthreads-2.2.3_13 but mysql 
server says same error.
I even tried to build without linuxthreads but it says same error.
I even tried to downgrade mysql server to 4.0.17 but same error.

FreeBSD was updated on March 3 2004. I tried when it was update on March 3, 
same problem.
Then I updated FreeBSD server using cvsup and the tried to install and run 
mysql. Same problem.

Before mysql update was really easy, but now I have big problem.
What should do in this case? Is there anybody solved this problem before?

tia,

Ganbold



More information about the freebsd-ports mailing list